## ikiwiki 3.20180228

=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 perl,
Build-Depends-Indep:
 dpkg-dev (>= 1.9.0),
 ghostscript,
 git (>= 1:1.7),
 libcgi-formbuilder-perl,
 libcgi-pm-perl,
 libcgi-session-perl,
 libfile-chdir-perl,
 libfile-mimeinfo-perl,
 libhtml-parser-perl,
 libhtml-scrubber-perl,
 libhtml-template-perl,
 libipc-run-perl,
 libimage-magick-perl | perlmagick,
 libmagickcore-6.q16-3-extra | libmagickcore-extra,
 libnet-openid-consumer-perl,
 librpc-xml-perl,
 libtext-markdown-discount-perl,
 libtimedate-perl,
 liburi-perl (>= 1.36),
 libxml-feed-perl,
 libxml-parser-perl,
 libxml-simple-perl,
 libxml-twig-perl,
 libyaml-libyaml-perl,
 po4a (>= 0.34),
Maintainer: Simon McVittie <smcv@debian.org>
Uploaders:
 Josh Triplett <josh@freedesktop.org>,
Standards-Version: 4.1.3
Homepage: https://ikiwiki.info/
Vcs-Git: https://salsa.debian.org/debian/ikiwiki.git
Vcs-Browser: https://salsa.debian.org/debian/ikiwiki
Testsuite: autopkgtest-pkg-perl

Package: ikiwiki
Architecture: all
Depends:
 libhtml-parser-perl,
 libhtml-scrubber-perl,
 libhtml-template-perl,
 libjson-perl,
 libtext-markdown-discount-perl,
 liburi-perl (>= 1.36),
 libyaml-libyaml-perl,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 gcc | c-compiler,
 git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
 libauthen-passphrase-perl,
 libc6-dev | libc-dev,
 libcgi-formbuilder-perl (>= 3.05),
 libcgi-pm-perl,
 libcgi-session-perl (>= 4.14-1),
 libcrypt-ssleay-perl,
 libgravatar-url-perl,
 liblwpx-paranoidagent-perl,
 libmail-sendmail-perl,
 libnet-openid-consumer-perl,
 librpc-xml-perl,
 libterm-readline-gnu-perl,
 libtimedate-perl,
 libxml-simple-perl,
Suggests:
 dvipng,
 file,
 gettext,
 ghostscript,
 graphviz,
 libfile-mimeinfo-perl,
 libhighlight-perl,
 libhtml-tree-perl,
 libimage-magick-perl | perlmagick,
 liblocale-gettext-perl (>= 1.05-1),
 libmagickcore-extra,
 libmailtools-perl,
 libnet-amazon-s3-perl,
 libnet-inet6glue-perl,
 libsearch-xapian-perl,
 libsort-naturally-perl,
 libsparkline-php,
 libtext-csv-perl,
 libtext-multimarkdown-perl,
 libtext-textile-perl,
 libtext-typography-perl,
 libtext-wikicreole-perl,
 libtext-wikiformat-perl,
 libxml-feed-perl,
 libxml-writer-perl,
 po4a (>= 0.35-1),
 polygen,
 python3,
 python3-docutils,
 texlive,
 tidy,
 viewvc | gitweb | viewcvs,
 xapian-omega (>= 1.0.5),
Conflicts:
 ikiwiki-plugin-table,
Replaces:
 ikiwiki-plugin-table,
Provides:
 ikiwiki-plugin-table,
Description: wiki compiler
 Ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision
 control system such as Subversion or Git.
 .
 Ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 Ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 Ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

=== debian/rules ===
#!/usr/bin/make -f
%:
	LC_ALL=C.UTF-8 TZ=UTC dh $@

override_dh_auto_configure:
	# keeps it out of /usr/local
	dh_auto_configure -- PREFIX=/usr

override_dh_compress:
	# avoid compressing files in the doc wiki
	dh_compress -Xhtml

override_dh_auto_clean:
	# distclean moans about MANIFEST, this is quieter
	if [ -e Makefile ]; then $(MAKE) realclean; fi

## ikiwiki 3.20180311

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libipc-run-perl,
  libimage-magick-perl | perlmagick,
  libmagickcore-6.q16-3-extra | libmagickcore-extra,
+ libmarkdown2 (>= 2.2.0),
  libnet-openid-consumer-perl,
  librpc-xml-perl,
  libtext-markdown-discount-perl,
@@ -46,6 +47,7 @@
  libhtml-scrubber-perl,
  libhtml-template-perl,
  libjson-perl,
+ libmarkdown2 (>= 2.2.0),
  libtext-markdown-discount-perl,
  liburi-perl (>= 1.36),
  libyaml-libyaml-perl,

## ikiwiki 3.20190228

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
  ${perl:Depends},
 Recommends:
  gcc | c-compiler,
- git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
+ git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr | brz | mercurial | monotone (>= 0.38) | darcs,
  libauthen-passphrase-perl,
  libc6-dev | libc-dev,
  libcgi-formbuilder-perl (>= 3.05),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
+
+export IKIWIKI_TEST_ASSUME_MODERN_DISCOUNT=1
+export LC_ALL=C.UTF-8
+export TZ=UTC
+
 %:
-	LC_ALL=C.UTF-8 TZ=UTC dh $@
+	dh $@
 
 override_dh_auto_configure:
 	# keeps it out of /usr/local

## ikiwiki 3.20200202.3

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  perl,
 Build-Depends-Indep:
  dpkg-dev (>= 1.9.0),
@@ -31,10 +31,11 @@
  libxml-twig-perl,
  libyaml-libyaml-perl,
  po4a (>= 0.34),
+Rules-Requires-Root: no
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders:
  Josh Triplett <josh@freedesktop.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://ikiwiki.info/
 Vcs-Git: https://salsa.debian.org/debian/ikiwiki.git
 Vcs-Browser: https://salsa.debian.org/debian/ikiwiki

## ikiwiki 3.20200202.4

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../IkiWiki -type f -name \*.pm)) \
	../ikiwiki.in ../IkiWiki.pm ../auto.setup

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

# Translated underlays can only be generated if po4a is available.
TRANSLATED_UNDERLAYS=$(shell if perl -e 'use Locale::Po4a::Common' 2>/dev/null; then echo ../underlays/locale; fi)

all: ikiwiki.pot mo $(TRANSLATED_UNDERLAYS)

mo: $(MOFILES)

install: all
	# Normal mo files for program translation.
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/ikiwiki.mo; \
	done
	
	# Underlay translation via po files that go in special per-language
	# underlays.
	for file in `find underlays -type f -name \*.po | sed -e 's|^underlays/||'`; do \
		lang=`echo $$file | sed -e 's/.po$$//' -e 's/.*\\.//'`; \
		dir=`dirname "$(DESTDIR)$(PREFIX)/share/ikiwiki/po/$$lang/$$file"`; \
		install -d $$dir; \
		install -m 0644 underlays/$$file $$dir; \
	done

ikiwiki.pot: $(POTFILES)
	@if perl -e '($$ver)=`xgettext -V | head -n 1`=~/.*\s+([0-9]+\.[0-9]+)/; die "gettext $$ver too old, not updating the pot file\n" if $$ver < 0.16'; then \
		echo "Rebuilding the pot file"; \
		xgettext --from-code=UTF-8 $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
	fi

clean:
	rm -f $(MOFILES) messages messages.mo *_stamp
	rm -rf html underlays/.ikiwiki $(TRANSLATED_UNDERLAYS)
	find underlays -name \*.mdwn -or -name \*.pot | xargs rm -f

%.mo: %.po
	@if ! msgfmt -o $@ $<; then echo "unable to run msgfmt"; fi

%.po: ikiwiki.pot
	@echo -n "Merging ikiwiki.pot and $@"
# Typically all that changes is a date or line number. I'd prefer not to
# commit such changes, so detect and ignore them.
	@if ! msgmerge $@ ikiwiki.pot -o $@.new 2>&1; then \
		echo "unable to run msgmerge"; \
	else \
		if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
			mv -f $@.new $@; \
		else \
			rm -f $@.new; \
		fi; \
		msgfmt --statistics $@ 2>&1; \
	fi

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

underlays_copy_stamp:
	# copy all the files we want to translate into a srcdir
	for file in `cd ..; find underlays -follow -name \*.mdwn`; do \
		install -d $$(dirname $$file); \
		cp -aL ../$$file $$file 2>/dev/null || \
		install -m 644 ../$$file $$file; \
	done
	install -d underlays/directives/ikiwiki/directive
	for file in `cd ..; find doc/ikiwiki/directive/ -maxdepth 1 -type f`; do \
		cp -a ../$$file underlays/directives/ikiwiki/directive ||  \
		install -m 644 ../$$file underlays/directives/ikiwiki/directive; \
	done
	install -d underlays/empty
	touch $@

underlays: ../ikiwiki.out underlays_copy_stamp
	../ikiwiki.out --libdir .. --setup underlay.setup --refresh

../ikiwiki.out: ../Makefile
	$(MAKE) -C .. ikiwiki.out

../Makefile: ../Makefile.PL
	cd .. && ./Makefile.PL

$(TRANSLATED_UNDERLAYS): po2wiki_stamp
po2wiki_stamp: po2wiki underlays_copy_stamp
	PERL5LIB=.. ./po2wiki underlay.setup
	touch $@

.PHONY: underlays

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  libyaml-libyaml-perl,
  po4a (>= 0.34),
 Rules-Requires-Root: no
-Maintainer: Simon McVittie <smcv@debian.org>
+Maintainer: Jonathan Dowland <jmtd@debian.org>
 Uploaders:
  Josh Triplett <josh@freedesktop.org>,
 Standards-Version: 4.5.0
@@ -56,7 +56,7 @@
  ${perl:Depends},
 Recommends:
  gcc | c-compiler,
- git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr | brz | mercurial | monotone (>= 0.38) | darcs,
+ git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | brz | mercurial | monotone (>= 0.38) | darcs,
  libauthen-passphrase-perl,
  libc6-dev | libc-dev,
  libcgi-formbuilder-perl (>= 3.05),

## ikiwiki 3.20250501

=== doc/examples/softwaresite/Makefile ===
# Build static html docs suitable for being shipped in the software
# package. This depends on ikiwiki being installed to build the docs.

ifeq ($(shell which ikiwiki),)
IKIWIKI=echo "** ikiwiki not found" >&2 ; echo ikiwiki
else
IKIWIKI=ikiwiki
endif

all:
	$(IKIWIKI) `pwd` html -v --wikiname FooBar --plugin=goodstuff \
		--exclude=html --exclude=Makefile

clean:
	rm -rf .ikiwiki html

=== t/manual/git_revert/Makefile ===
export PERL5LIB=$(CURDIR)/../../..
ikiwiki = $(CURDIR)/../../../ikiwiki.in

all:
	rm -fr git html
	mkdir -p git
	echo "/doc/.ikiwiki/" > git/.gitignore
	mkdir -p git/doc
	mkdir -p git/doc/writable
	cd git && git init
	cp index.mdwn git/doc/index.mdwn
	cp -a $(CURDIR)/../../../doc/wikiicons git/doc/
	cp -a $(CURDIR)/../../../doc/recentchanges.mdwn git/doc/
	echo "This is the first test page" > git/doc/writable/one.mdwn
	echo "This is the second test page" > git/doc/writable/two.mdwn
	cd git && git add . && git commit -m 'Initial commit'
	$(ikiwiki) --setup ikiwiki.setup
	echo "This is the first test page, it was first" > git/doc/writable/one.mdwn
	cd git && git add . && git commit -m 'First web commit'
	$(ikiwiki) --setup ikiwiki.setup
	echo "This is the second test page, it came second" > git/doc/writable/two.mdwn
	cd git && git add . && git commit -m 'Second web commit'
	$(ikiwiki) --setup ikiwiki.setup
	cd git && git mv doc/writable/one.mdwn doc/one.mdwn
	cd git && git mv doc/writable/two.mdwn two.mdwn
	cd git && git commit -m Rename
	$(ikiwiki) --setup ikiwiki.setup
	w3m html/index.html

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libhtml-template-perl,
  libipc-run-perl,
  libimage-magick-perl | perlmagick,
- libmagickcore-6.q16-3-extra | libmagickcore-extra,
+ libmagickcore-7.q16-10-extra | libmagickcore-extra,
  libmarkdown2 (>= 2.2.0),
  libnet-openid-consumer-perl,
  librpc-xml-perl,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 	# keeps it out of /usr/local
 	dh_auto_configure -- PREFIX=/usr
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	env -u LD_PRELOAD dh_auto_test
+endif
+
 override_dh_compress:
 	# avoid compressing files in the doc wiki
 	dh_compress -Xhtml

=== debian/watch ===
version=4
opts="mode=git" \
git://git.ikiwiki.info/ \
refs/tags/([\d\.]+) debian

## ikiwiki 3.20260201

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  libxml-simple-perl,
  libxml-twig-perl,
  libyaml-libyaml-perl,
+ libtest-fatal-perl,
  po4a (>= 0.34),
 Rules-Requires-Root: no
 Maintainer: Jonathan Dowland <jmtd@debian.org>
